> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Load bonus

> The bonus is loaded to member's active account.



## OpenAPI

````yaml openapi/bonus-v1.json POST /v1/members/{memberId}/bonuses
openapi: 3.0.4
info:
  title: Accounting.Api
  version: v1
servers:
  - url: https://{host}/bonus
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/members/{memberId}/bonuses:
    post:
      tags:
        - Service2Service
      summary: Load bonus
      description: The bonus is loaded to member's active account.
      parameters:
        - name: memberId
          in: path
          description: The id of the member, max length 36
          required: true
          schema:
            maxLength: 36
            type: string
      requestBody:
        description: Load bonus request
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Accounting.Api.Controllers.Service2Service.BonusController.LoadBonusRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Accounting.Api.Controllers.Service2Service.BonusController.LoadBonusResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
      deprecated: true
components:
  schemas:
    Accounting.Api.Controllers.Service2Service.BonusController.LoadBonusRequest:
      required:
        - amount
        - metadata
        - operationId
        - type
      type: object
      properties:
        amount:
          type: number
          description: |-
            Amount of bonuses to load. Can be positive/negative
            if positive, then bonuses are added to member's account 
            If negative, then bonuses are subtracted from member's account
          format: double
        type:
          minLength: 1
          type: string
          description: Bonus type
        operationId:
          maxLength: 128
          minLength: 1
          type: string
          description: >-
            Unique identifier of load bonus operation (should be same only for
            retries of the same operation)
        metadata:
          type: object
          additionalProperties:
            nullable: true
          description: >-
            Set of key-value pairs that you can attach to a load bonus
            transaction.

            This can be useful for storing additional information about the
            transaction in a structured format
      additionalProperties: false
    Accounting.Api.Controllers.Service2Service.BonusController.LoadBonusResponse:
      required:
        - transactionId
      type: object
      properties:
        transactionId:
          type: integer
          format: int64
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````